package com.pj.project.tb_manager;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.current.satoken.StpUserUtil;
import com.pj.project.tb_dept.TbDept;
import com.pj.project.tb_dept.TbDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

import javax.annotation.Resource;

/**
 * Service: tb_manager -- 防疫人员
 * @author qzyReal 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbManagerService extends ServiceImpl<TbManagerMapper, TbManager> implements IService<TbManager>{

	/** 底层 Mapper 对象 */
	@Resource
	TbManagerMapper tbManagerMapper;
    @Resource
    TbDeptService tbDeptService;



	/** 增 */
	void add(TbManager t){
        t.setCreateTime(new Date());
	    this.save( t);
	}

	/** 删 */
	void delete(Long id){
	this.removeById(id);
	}

	/** 改 */
	void update(TbManager t){
	    t.setUpdateTime(new Date());
	    this.updateById(t);
	}

	/** 查 */
	TbManager getById(Long id){
	return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbManager> getList(SoMap so) { 
		return tbManagerMapper.getList(so);	
	}
	

}
